> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/transaction30api/api-description/ticket-json-format-description/max-stake-request.md).

# Max Stake Request

<table><thead><tr><th width="115.0677490234375" align="center">Source</th><th width="55.919189453125" align="center"></th><th width="114.782958984375" align="center">Destination</th></tr></thead><tbody><tr><td align="center"><strong>Client</strong></td><td align="center"><strong>→</strong></td><td align="center"><strong>MTS</strong></td></tr></tbody></table>

The Max stake request is used to determine the highest stake that will still be accepted for a given bet. The client should compose a ticket with the bet for which they want to obtain the maximum stake and include it in the request. It does not matter that the ticket itself has not actually been placed. The ticket object should be composed as described on the [Ticket Placement Request (v3.0)](/transaction30api/api-description/ticket-json-format-description/ticket-placement-request.md) page. In terms of Max Stake, the only supported stake type is "cash". If a multi-bet ticket is included in the request, only the first bet will be considered.

MTS will respond with a Max stake response, including the maximum acceptable stake for the referenced bet.

**Envelope and Content table:**

The envelope provides the content's (Max stake request) context and contains the following fields (besides Content):

* operatorId
* correlationId
* timestampUtc
* operation
* version

<table data-full-width="true"><thead><tr><th width="350.126708984375">Example</th><th width="160.1275634765625">Field Name</th><th>Field Description</th><th width="100">Mandatory/ Optional</th><th width="100">Data Type</th></tr></thead><tbody><tr><td><pre><code>{
</code></pre></td><td><br></td><td><br></td><td><br></td><td><br></td></tr><tr><td><pre><code>  "operatorId": 9985,
</code></pre></td><td>operatorId</td><td>ID to uniquely identify the client from which the ticket originated,<br>ID is provided to the client by Sportradar,<br>The client is obliged to include it in every ticket</td><td>M</td><td>Integer</td></tr><tr><td><pre><code>  "content": {
       ...........
       ...........
   },    
</code></pre></td><td>content</td><td>See Content object description below</td><td>M</td><td>Object</td></tr><tr><td><pre><code>  "correlationId": "21re09iwny",
</code></pre></td><td>correlationId</td><td>Client defined string to facilitate the request-response pairing,<br>Sportradar is obliged to return the same string in every response</td><td>M</td><td>String</td></tr><tr><td><pre><code>  "timestampUtc": 1732700792000,
</code></pre></td><td>timestampUtc</td><td>Timestamp of ticket placement as submitted by the client (Unix time milliseconds format),<br>minimal: 1,<br>maximum: 9223372036854776000</td><td>M</td><td>Integer</td></tr><tr><td><pre><code>  "operation": "max-stake",
</code></pre></td><td>operation</td><td>Should be "max-stake" in the case of a Max stake request</td><td>M</td><td>String</td></tr><tr><td><pre><code>  "version": "3.0"
}
</code></pre></td><td>version</td><td>Indicates the ticket format version</td><td>M</td><td>String</td></tr></tbody></table>

### Content object (Max stake request) <a href="#mtsmaxstakerequest-v3.0-contentcontentobject-maxstakerequest" id="mtsmaxstakerequest-v3.0-contentcontentobject-maxstakerequest"></a>

This object constitutes the ticket itself and includes the following fields:

* type
* ticket (includes the entire ticket object with the bet for which the maximum stake is to be retrieved)

**Content object table:**

<table data-full-width="true"><thead><tr><th width="351">Example</th><th width="117.584228515625">Field Name</th><th>Field Description</th><th width="100">Mandatory/ Optional</th><th width="100">Data Type</th></tr></thead><tbody><tr><td><pre><code>"content": {
</code></pre></td><td><br></td><td><br></td><td><br></td><td>Object</td></tr><tr><td><pre><code>   "type": "max-stake",
</code></pre></td><td>type</td><td>Declaration of content type, should be "max-stake" in the case of a Max stake request</td><td>M</td><td>String</td></tr><tr><td><pre><code>   "ticket": {
</code></pre></td><td>ticket</td><td><p>Syntax of this object corresponds to the content object of the <a href="/pages/iBGo6Jm1mEi546boFmKx">Ticket placement request</a>).</p><p>If a multi-bet ticket is included, only the first bet will be considered.</p><p>The only supported stake type is "cash".</p></td><td>M</td><td>Object</td></tr><tr><td><pre><code>      "type: "ticket",
</code></pre></td><td><br></td><td><br></td><td><br></td><td><br></td></tr><tr><td><pre><code>      "ticketId": "Ticket_2052",
          .........
          .........
     } 
},    
</code></pre></td><td><br></td><td><br></td><td></td><td><br></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/transaction30api/api-description/ticket-json-format-description/max-stake-request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
